% plots the buffer nicely
function plotHoughTransform(buffer, rhoScale)

niceBuffer = normalize2(buffer) * 63;
image(niceBuffer')

colormap bone;

% Display nice axis ticks for theta
s=size(buffer,1);
ticks=[0:s/8:s];
set(gca,'XTick',ticks);
set(gca,'XTickLabel',round(ticks*360/s));

% Display nice axis ticks for rho
s=size(buffer,2);
ticks=[0:s/8:s];
set(gca,'YTick',ticks);
set(gca,'YTickLabel',ticks*rhoScale/s-rhoScale/2);

xlabel('theta  \theta');
ylabel('rho    \rho');
